package org.example.SastaTicketPage;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.example.NisumSearchPage.NisumPage;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.time.Duration;

public class SastaTicketPage {

    WebDriver driver;

    private static final Logger log = LogManager.getLogger(SastaTicketPage.class);


    public SastaTicketPage(WebDriver driver) {
        this.driver = driver;
    }

    public void openHomePage() {
        log.info("locator of home page");
        driver.get("https://www.sastaticket.pk/");
        System.out.println("Opened Sastaticket homepage.");
    }

    public void IClickOnSearchField()
    {
        log.info("locator of search field");
        driver.findElement(By.xpath("//span[@title='Lahore (LHE)']")).click();
    }

    public void IClickOnSearchFieldDestination()
    {
        log.info("locator of Destination field");
        driver.findElement(By.xpath("//input[@id='rc_select_1']")).click();
    }

    public void selectDestinationCity() {
        log.info("locator of destination city");
        driver.findElement(By.xpath("//h5[normalize-space()='Karachi, Pakistan (KHI)']")).click();

    }

    public void clickDate() {
        driver.findElement(By.xpath("//div[@id='oneway-return-October 2024']//div[contains(@class,'_2k3ukgGnI_cvavzvhX3w4T')][normalize-space()='11']")).click();
    }

    public void clickSearchFlight() {
        driver.findElement(By.xpath("//span[normalize-space()='Search Flights']")).click();
    }
}
