package org.example.SastaTicketSteps;

import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import io.github.bonigarcia.wdm.WebDriverManager;
import org.example.SastaTicketPage.SastaTicketPage;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;

public class SastaTicketSteps {


    WebDriver driver;
    SastaTicketPage sastaTicketPage;

    @Given("I am on the Sastaticket homepage")
    public void iAmOnTheSastaTicketHomepage() {
        WebDriverManager.chromedriver().setup();
        driver = new ChromeDriver();
        driver.manage().window().maximize();
        sastaTicketPage = new SastaTicketPage(driver);
        sastaTicketPage.openHomePage();
    }


    @When("I click on search bar for destination")
    public void iSelectDepartureSearchBar() {
        sastaTicketPage.IClickOnSearchFieldDestination();
    }



    @When("I click on search bar")
    public void iSelectSearchBar() {
        sastaTicketPage.IClickOnSearchField();
    }



    @When("I select Karachi as the destination city")
    public void iSelectDestinationCity() {
        sastaTicketPage.selectDestinationCity();
    }

    @When("I click on the Search Flight button")
    public void iClickOnSearchFlightButton() {
        sastaTicketPage.clickSearchFlight();
    }

    @When("I click on date")
    public void iClickOnDate() {
        sastaTicketPage.clickDate();
    }



    @Then("I should see the available flights")
    public void iShouldSeeTheAvailableFlights() {
        // Validation logic to check if flight results appear.
        System.out.println("Flight search results displayed.");
        driver.quit();
    }
}
